<?php
	/**
	* This file represents an example of the code that themes would use to register
	* the required plugins.
	*
	
	*
	* @package Creation-Plugin-Activation
	
	*/
	
	require_once get_template_directory() . '/lib/includes/admania-plugins/class-tgm-plugin-activation.php';
	add_action( 'tgmpa_register', 'admania_register_required_plugins' );
	if ( ! function_exists( 'admania_register_required_plugins' ) ){
	function admania_register_required_plugins() {
	$plugins = array( // This is an example of how to include a plugin pre-packaged with a theme.
	array(
		'name' => esc_html__('One Click Demo Import','ad-mania'), // The plugin name.
		'slug' => esc_html__('one-click-demo-import','ad-mania'), // The plugin slug (typically the folder name).
		'required' => false,
		),
	array(
		'name' => esc_html__('Admania User Profile','ad-mania'), // The plugin name.
		'slug' => esc_html__('admaniauser-profile','ad-mania'), // The plugin slug (typically the folder name).
		'source' => 'https://admaniafresh.userthemes.net/wp-content/uploads/admaniauser-profile.zip', // The plugin source.
		'required' => false, // If false, the plugin is only 'recommended' instead of required.
		'version' => '1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
		'force_activation' => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
		'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
	    
	),
				
	);
	
	
	
	$config = array(
		'has_notices' => true, // Show admin notices or not.
		'dismissable' => true, // If false, a user cannot dismiss the nag message.
		'dismiss_msg' => '', // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true, // Automatically activate plugins after installation or not.
			'strings' => array(
			'page_title' => esc_html__( 'Install Required Plugins', 'ad-mania' ),
			'menu_title' => esc_html__( 'Install Plugins', 'ad-mania' ),
			'installing' => esc_html__( 'Installing Plugin: %s', 'ad-mania' ) // %s = plugin name.
			)
	);
	
	tgmpa( $plugins, $config );
	
	}
	}